### Method

# GLib BookmarkFile get_icon

since: 2.12

#### Declaration [src]

    gboolean
    g_bookmark_file_get_icon (
      GBookmarkFile* bookmark,
      const gchar* uri,
      gchar** href,
      gchar** mime_type,
      GError** error
    )

#### Description [src]

Gets the icon of the bookmark for `uri`.

In the event the URI cannot be found, `FALSE` is returned and `error` is set to `G_BOOKMARK_FILE_ERROR_URI_NOT_FOUND`.

Available since: 2.12

#### Parameters

`uri`

  Type: `const gchar*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`href`

  Type: `gchar**`

  Return location for the icon’s location or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`mime_type`

  Type: `gchar**`

  Return location for the icon’s MIME type or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the icon for the bookmark for the URI was found. You should free the returned strings.